Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HTMLPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.HTMLPanel

All Implemented Interfaces:
  EventListener, HasWidgets, IndexedPanel

    public class HTMLPanel

extends ComplexPanel

A panel that contains HTML, and which can attach child widgets to identified elements within that HTML.

Constructor Summary
`HTMLPanel(java.lang.String html)` Creates an HTML panel with the specified HTML contents.

Method Summary
`void` | `add(Widget widget, java.lang.String id)` Adds a child widget to the panel, contained within the HTML element specified by a given id.
`static java.lang.String` | `createUniqueId()` A helper method for creating unique IDs for elements within dynamically- generated HTML.

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, insert, insert, iterator, remove, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onAttach, onBrowserEvent, onDetach, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLPanel

    public HTMLPanel(java.lang.String html)

  Creates an HTML panel with the specified HTML contents. Any element within this HTML that has a specified id can contain a child widget.

  Parameters:
    `html` - the panel's HTML

Method Detail

### createUniqueId

    public static java.lang.String createUniqueId()

  A helper method for creating unique IDs for elements within dynamically- generated HTML. This is important because no two elements in a document should have the same id.

  Returns:
    a new unique identifier

### add

    public void add(Widget widget,
                    java.lang.String id)

  Adds a child widget to the panel, contained within the HTML element specified by a given id.

  Parameters:
    `widget` - the widget to be added
    `id` - the id of the element within which it will be contained

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD